=== debian/changelog ===
glite-lb-client-java (1.2.2-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:47:32 +0200
