=== debian/control ===
Source: glite-lb-client-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, chrpath, default-jdk, emi-trustmanager, emi-trustmanager-axis, glite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-client-java
Section: misc
Architecture: any
Depends: ${misc:Depends}, emi-trustmanager-axis, emi-trustmanager, glite-jobid-api-java, libcommons-lang-java
Description: JAVA implementation of the L&B service client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
