=== debian/changelog ===
glite-lb-client-java (1.2.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:31:16 +0200
