=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-client-java
+p_lib=libglite-lb-client-java
+p_axis=libglite-lb-client-axis-java
+p_doc=libglite-lb-client-java-doc
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -9,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java --with-trustmanager=no
 	touch $@
 
 build: build-indep
@@ -36,6 +41,11 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	mkdir -p debian/$(p_axis)/usr/share/doc
+	mkdir -p debian/$(p_doc)/usr/share/doc
+	mkdir -p debian/$(p_lib)/usr/share/doc
+	mv debian/tmp/usr/share/doc/$(p_base)-2.0.4 debian/$(p_doc)/usr/share/doc/$(p_lib)
+	ln -s $(p_lib) debian/$(p_axis)/usr/share/doc/$(p_axis)
 	rm -vf debian/tmp/usr/lib/*.la
 	rm -vf debian/tmp/usr/lib/*.a
