=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java --with-trustmanager=no
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.client-java --with-trustmanager=no
 	touch $@
 
 build: build-indep
@@ -44,7 +44,7 @@
 	mkdir -p debian/$(p_axis)/usr/share/doc
 	mkdir -p debian/$(p_doc)/usr/share/doc
 	mkdir -p debian/$(p_lib)/usr/share/doc
-	mv debian/tmp/usr/share/doc/$(p_base)-2.0.4 debian/$(p_doc)/usr/share/doc/$(p_lib)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_lib)
 	ln -s $(p_lib) debian/$(p_axis)/usr/share/doc/$(p_axis)
 	rm -vf debian/tmp/usr/lib/*.la
 	rm -vf debian/tmp/usr/lib/*.a
