## glite-lb-client-java 2.0.7

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,11 @@
 # broken 
 # SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class
 
+LOADER_SOURCES:=JNIDefaultLoader.java
 FULL_EXAMPLES := $(addprefix ${top_srcdir}/examples/,SSLClient.java SSLServer.java QueryDemo.java NotificationExample.java CreamTest.java)
 SSL_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-ssl/,MyX509KeyManager.java MyX509TrustManager.java ExampleSSLSocketFactory.java LBClientSSL.java)
 TM_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-trustmanager/,LBClientTM.java)
-CORE_SOURCES:=Context.java ContextIL.java Escape.java Event.java ILFileWriter.java ILProto.java LBException.java Level.java Timeval.java Sources.java SeqCode.java
+CORE_SOURCES:=Context.java ContextIL.java Escape.java Event.java ILFileWriter.java ILProto.java JNIHelper.java LBException.java Level.java Timeval.java Sources.java SeqCode.java
 AXIS_SOURCES:=ContextDirect.java ContextLL.java EventConvertor.java Job.java LBCredentials.java NotifParser.java Notification.java SSL.java SSLSend.java ServerConnection.java
 
 CORE_CLASSES=$(CORE_SOURCES:.java=.class)
@@ -88,7 +89,7 @@
 
 build/classes/core: compile-java-lb compile-java-gen
 
-compile-java-lb: $(CORE_SOURCES)
+compile-java-lb: $(CORE_SOURCES) build/JNILoader.java
 	-mkdir -p build/classes/core
 	${JAVAC} \
 		-classpath ${jobid_classpath} \
@@ -140,12 +141,16 @@
 	cd build/classes/examples && ${jdk_prefix}/bin/jar cf ../../$@ src org $(addsuffix .class,$(basename $(notdir ${FULL_EXAMPLES})))
 	cd build && ${jdk_prefix}/bin/jar i $@
 
+build/JNILoader.java: $(LOADER_SOURCES)
+	-mkdir -p build
+	cp -p $+ $@
+
 build/gen:
 	-mkdir -p build/gen
 	${GEN} build/gen
 
 build/axis:
-	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java -o build/axis ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
+	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java --output build/axis --timeout 600 ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
 
 build/javadoc: build/gen
 	${JAVADOC} -d build/javadoc -classpath build/classes/axis:build/classes/core:build/classes/security:${jobid_classpath}:${axis_classpath}:${trustmanager_classpath} $(addprefix ${top_srcdir}/src/org/glite/lb/,$(DOC_SOURCES)) build/gen/*.java
