=== debian/changelog ===
glite-lb-client-java (2.0.7-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:50 +0200
