=== debian/control ===
Source: glite-lb-client-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk, libglite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, liblog4j1.2-java, libtool-bin
Standards-Version: 3.9.1
Section: java
Homepage: http://glite.cern.ch

Package: libglite-lb-client-java
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libglite-jobid-api-java, libcommons-lang-java, libglite-lb-client-jni
Description: JAVA implementation of the L&B service client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.

Package: libglite-lb-client-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JNI code for L&B java client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains Java Native Interface code for L&B java client.

Package: libglite-lb-client-axis-java
Architecture: all
Depends: ${misc:Depends}, libglite-jobid-api-java, libcommons-lang-java, libglite-lb-client-java
Description: Axis 1.4 flavor of Java L&B client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains java L&B client library based on Axis 1.4.

Package: libglite-lb-client-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libglite-lb-client-java, default-jdk-doc
Description: Java API documentation for Java L&B client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains java API documentation for Java L&B client.
