=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-client-java
p_jni=libglite-lb-client-jni
p_lib=libglite-lb-client-java
p_axis=libglite-lb-client-axis-java
p_doc=libglite-lb-client-java-doc

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# parallel build not supported
%:
	dh $@ --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi --with-trustmanager=no

override_dh_auto_build:
	dh_auto_build -- LOADER_SOURCES=JNIDebianLoader.java

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	# move JNI library
	mkdir -p debian/$(p_jni)/usr/lib/jni
	mv debian/tmp/usr/lib/libglite_lb_sendviasocket.so* debian/$(p_jni)/usr/lib/jni
	# documentation
	mkdir -p debian/$(p_doc)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_jni)
	# keep only dynamic module
	rm -vf debian/tmp/usr/lib/*.a
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_jni)
