=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.client-java/glite-lb-client-java-(.*)\.tar\.gz
